/* eslint-disable no-undef */
import {extendInclude, extendRule, initFilter,getRandomCode} from "../../utils/common";

/**
 * @return {string}
 */
//工艺线路明细
export default {
 
  onBeforeEdit:({isNew,stateData,getFieldValue,data,setFieldValueByBatch,dispatch,login,setFieldEditable,setFieldVisibleByBatch})=>{
    if(isNew){
      var randomCode=getRandomCode(20);
      const temps=[];
      temps.push({field:'SECURITY_KEY',value:randomCode});
      setFieldValueByBatch(temps);
    }
  },
  onBeforeSave:({data,getFieldValue,setFieldValue})=>{
    //temps.push({field:'PROCESS_ID',value:data.processId});
    //console.log(data.processId);
  },

}
